import Spinner from 'react-bootstrap/Spinner';
import { useI18n } from '../i18n/context';

function LoadingSpinner() {
  const { t } = useI18n();
  return (
    <div className="d-flex justify-content-center align-items-center py-5">
      <Spinner animation="border" variant="primary" />
      <span className="ms-3 text-muted-custom">{t('loading')}</span>
    </div>
  );
}

export default LoadingSpinner;
